''' <summary>
''' Hauptfenster der Anwendung
''' </summary>
Public Class frm_Main

#Region " Fields / Events "
    ' Datenquelle fr das Projekt
    Private m_Source As RadioRecorderSource

#End Region

#Region " Constructor "
    Public Sub New()
        'Threading.Thread.CurrentThread.CurrentCulture = New System.Globalization.CultureInfo("en-us")

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Datenquelle fr das Projekt instanziieren
        m_Source = New RadioRecorderSource
        ' Referenz zur Radiostations-liste an das zum Anzeigen von 
        ' Radiostationen verwendete Control weiter geben
        Me.RadioStationPanel1.RadioStations = m_Source.RadioStations
        ' gleiches gilt fr die Liste mit MP3-Dateien
        Me.MP3FilePanel1.RadioRecorderSource = m_Source
    End Sub
#End Region

#Region " Methods "

    ''' <summary>
    ''' Handler fr das FormClosing-Event 
    ''' </summary>
    Private Sub frm_Main_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
       
        ' Alle Threads zum Radioempfang beenden
        m_Source.RadioStations.QuitAllReceiving()

        ' Daten als XML-Datei speichern
        m_Source.Save_XML()
    End Sub

#End Region

End Class